Distribution:   CCux
Packager:       Stefan Gottwald <gotti@ccux-linux.de>

Summary: 	Xfce Session manager
Name: 		xfce4-session
Version:	4.6.2
Release:	1
License:	GPL
URL: 		http://www.xfce.org/
Source0: 	%{name}-%{version}.tar.bz2
Group: 		Graphical Desktop/Xfce/Base
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

BuildRequires: libICE-devel
BuildRequires: xorg-x11-server-utils

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libglade-devel
BuildRequires: libICE-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libwnck-devel
BuildRequires: libX11-devel
BuildRequires: libxcb-devel
BuildRequires: libxfce4util-devel
BuildRequires: libxfcegui4-devel
BuildRequires: libxml2-devel
BuildRequires: libXrender-devel
BuildRequires: libXres-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: pkg-config
BuildRequires: startup-notification-devel
BuildRequires: xcb-util-devel
BuildRequires: xfconf-devel
BuildRequires: zlib-devel

%description
xfce4-session is the session manager for the Xfce desktop environment.

%package	devel
Summary:	Development files for xfce4-session
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Header files for the Xfce Session Manager.

%package	engines
Summary:	Additional engines for xfce4-session
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	engines
Additional splash screen engines for the Xfce Session Manager.

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%prep
%setup -q -n %{name}-%{version}

%build
%configure --sysconfdir=%_sysconfdir/xfce
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog ChangeLog.pre-xfce-devel NEWS README TODO
%{_sysconfdir}/xfce/xdg/autostart/xfce4-tips-autostart.desktop
%{_sysconfdir}/xfce/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-session.xml
%{_bindir}/xfce4-session
%{_bindir}/xfce4-session-logout
%{_bindir}/xfce4-session-settings
%{_bindir}/xfce4-tips
%{_libdir}exec/xfsm-shutdown-helper
%{_libdir}/libxfsm-4.6.so.*
%{_applications}/xfce-session-settings.desktop
%{_datadir}/icons/hicolor/128x128/apps/xfce4-session.png
%{_datadir}/icons/hicolor/48x48/apps/xfce4-autostart-editor.png
%{_datadir}/icons/hicolor/48x48/apps/xfce4-session.png
%{_datadir}/icons/hicolor/48x48/apps/xfce4-splash.png
%{_datadir}/icons/hicolor/48x48/apps/xfsm-hibernate.png
%{_datadir}/icons/hicolor/48x48/apps/xfsm-logout.png
%{_datadir}/icons/hicolor/48x48/apps/xfsm-reboot.png
%{_datadir}/icons/hicolor/48x48/apps/xfsm-shutdown.png
%{_datadir}/icons/hicolor/48x48/apps/xfsm-suspend.png
%{_datadir}/icons/hicolor/64x64/apps/xfsm-gnome-kde-logo.png
%{_datadir}/icons/hicolor/72x72/apps/xfsm-trash-hilight.png
%{_datadir}/icons/hicolor/72x72/apps/xfsm-trash-normal.png
%{_datadir}/icons/hicolor/scalable/apps/xfce4-session.svg
%{_datadir}/icons/hicolor/scalable/apps/xfsm-shutdown.svg
%{_locale}/*/LC_MESSAGES/xfce4-session.mo
%{_mandir}/man1/xfce4-session.1.gz
%{_mandir}/man1/xfce4-session-logout.1.gz
%{_datadir}/xfce4/doc/*/images/xfsm-advanced.png
%{_datadir}/xfce4/doc/*/images/xfsm-general.png
%{_datadir}/xfce4/doc/*/images/xfsm-splash.png
%{_datadir}/xfce4/doc/*/xfce4-session.html
%{_datadir}/xfce4/tips/tips
%{_datadir}/xfce4/tips/tips.dat

%files devel
%defattr(-,root,root)
%{_includedir}/xfce4/xfce4-session-4.6/libxfsm
%{_libdir}/libxfsm-4.6.a
%{_libdir}/libxfsm-4.6.la
%{_libdir}/libxfsm-4.6.so
%{_pkgconfig}/xfce4-session-2.0.pc

%files engines
%defattr(-,root,root)
%{_datadir}/themes/Default/balou
%{_libdir}exec/balou-export-theme
%{_libdir}exec/balou-install-theme
%{_libdir}/xfce4/splash/engines

%changelog
* Mon May 24 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.6.2-1
- Version Update
* Sun Sep 13 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.6.1-1
- Version Update
* Sat Mar 14 2009 Christian Wasem <wasem@ccux-linux.de> 4.6.0-1
- Version update
* Sun Feb 15 2009 Christian Wasem <wasem@ccux-linux.de> 4.5.92-1
- Version update
* Sun Feb 15 2009 Christian Wasem <wasem@ccux-linux.de> 4.4.3-1
- Version update
* Sun Dec 30 2007 Stefan Gottwald <gotti@ccux-linux.de> 4.4.2-1
- Version update
* Sun Oct 07 2007 Stefan Gottwald <gotti@ccux-linux.de> 4.4.1-1
- Version update
* Wed Jan 31 2007 Christian Metzen <metzench@ccux-linux.de> 4.4.0-1
- Version update
* Sat Nov 25 2006 Christian Metzen <metzench@ccux-linux.de> 4.3.99.2-1
- cleaned version, moved libexecdir and sysconfdir
* Thu Nov 23 2006 Stefan Gottwald <gotti@ccux-linux.de> 4.3.99-2
- Version Update RC2
* Mon Sep 04 2006 Stefan Gottwald <gotti@ccux-linux.de> 4.3.99-1
- Version Update, RC1
* Thu Jul 20 2006 Stefan Gottwald <gotti@ccux-linux.de> 4.3.90-1
- Version Update, beta2
* Sat Nov 12 2005 Karsten Brockmann <arcam@ccux-linux.de> 4.2.3-1
- Version update
* Fri Oct 14 2005 Stefan Gottwald <gotti@ccux-linux.de> 4.2.2-1
- Initial Release
